
TYPO3.Flow - Task # 8835

Status: Resolved Priority: Should have
Author: Bastian Waidelich Category:
Created: 2010-07-13 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
Sprint:
PHP Version:
Has patch:
Complexity:
Subject: Remove @version annotation from FLOW3 classes
Description

Currently each PHP class contains the following line

 * @version $Id: $

That is replaced by SVN clients (if configured correctly) before comitting.
With the move to Git that won't be the case any longer, so we should get rid of these annotations.
AFAIK there is no corresponding feature in Git, but IMO we don't need the revision in the file or have any of you ever counted on the
@version annotation? Besides, it makes backporting a very tedious job.

Note: If we decide to remove this annotation, we'll have to adjust the CGL document on 
http://flow3.typo3.org/documentation/coding-guidelines/ too

Related issues:
related to TYPO3.Flow - Task # 9296: Replace $Revision$ keyword in Bootstrap.php Resolved 2010-08-13

Associated revisions
Revision a6d1a78e - 2010-08-23 15:56 - Karsten Dambekalns

[-TASK] FLOW3 Base Distribution: Removed @version keyword from files, relates to #8835.

Change-Id: I6d1caf01abaf274f7dc4d2bda4eaa707c70c2891

Revision 053748bc - 2010-08-23 16:06 - Karsten Dambekalns

[-TASK] FLOW3: Removed @version keyword from files, resolves #8835.

Change-Id: Ic27d691b7fdb82d9646ecd7c84b3759644b448f5

History
#1 - 2010-07-13 12:25 - Manuel Strausz

A related issue seems to be the $Revision keyword expansion, which is set in the Bootstrap:

    /**
     * FLOW3's Subversion revision
     */
    const REVISION = '$Revision: 4443 $';

I only saw this in use for the Configurations-Cache include (e.g. in 'Configurations/Production/ProductionConfigurations.php'), where it is used to make
sure no obsolete cache is loaded when the framework revision changed, so this would have to be solved in a different way.

#2 - 2010-07-15 11:00 - Bastian Waidelich

Manuel Strausz wrote:

A related issue seems to be the $Revision keyword expansion, which is set in the Bootstrap:

Good catch! We'll have to find a new mechanism for that.

#3 - 2010-07-15 11:03 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 11

Assigning this to me, as it needs to be done with the Git move anyway... :)

#4 - 2010-08-12 22:42 - Karsten Dambekalns

Some helper, for the record:

find ./ -name '*.php' -exec perl -i.bak -ne 'print unless /\@version/' {} \;

#5 - 2010-08-13 17:30 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4969.
